{% extends 'user.html.twig' %}

{% block title %} {{ formation }}{% endblock %}

{% block body %}
    
    <div class="container">
        <h2>{{ formation }}</h2>
        <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">
  +
</button>
        <table class="table striped centered">
            <tbody>
                <tr>
                    <th>Nom de la formation</th>
                    <td>{{formation.libelleFormation}}</td>
                </tr>
                <tr>
                    <th>Age</th>
                    <td>{{formation.age}}</td>
                </tr>
                <tr>
                    <th>Nombre de stagiaires min</th>
                    <td>{{formation.nbMinStagiaire}}</td>
                </tr>
                <tr>
                    <th>Nombre de stagiaires max</th>
                    <td>{{formation.nbMaxStagiaire}}</td>
                </tr>
                <tr>
                    <th>Nombre de formateurs</th>
                    <td>{{formation.nbFormateur}}</td>
                </tr>
                <tr>
                    <th>Categorie</th>
                    <td>{{formation.categorie}}</td>
                </tr>
                <tr>
                    <th>Diplome</th>
                    {%for formationD in formation.diplome %}
                        <td>{{formationD.libelleFormation}}</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th>Cours</th>
                    {%for formationC in formation.cours %}
                        <td>{{formationC.NomCours}}</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th>Prerogatives</th>
                    {%for formationP in formation.prerogatives %}
                        <td>{{formationP.libellePrerogative}}</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th>Prerequis</th>
                    {%for formationPs in formation.prerequis %}
                        <td>{{formationPs.libellePrerequis}}</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th>Documents</th>
                    <td>
                        {% for document in formation.uploadDocumentFormations %}
                            <img src="{{ asset('/formation/'~document.nom) }}" alt="" width="150">
                        {% else %}
                            Pas de document
                        {% endfor %}
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <!-- Ajout stagiaire formation -->
    <!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        ...
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary">Save changes</button>
      </div>
    </div>
  </div>
</div>
{% endblock %}